Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageReader Class Reference

`#include <vtkImageReader.h>`

Inheritance diagram for vtkImageReader:

[legend]
Collaboration diagram for vtkImageReader:

[legend]
List of all members.

## Detailed Description

Superclass of transformable binary file readers.

Date:
  2002/08/13 17:14:28

Revision:
  1.66

vtkImageReader provides methods needed to read a region from a file. It supports both transforms and masks on the input data, but as a result is more complicated and slower than its parent class vtkImageReader2.

See also:
  vtkBMPReader vtkPNMReader vtkTIFFReader

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Martin, Ken (38%)
  - Law, Charles (34%)
  - Hoffman, Bill (7%)

CVS logs (CVSweb):
  - .`cxx` (`/IO/vtkImageReader.cxx)`
  - .`h` (`/IO/vtkImageReader.h)`

Examples:
  vtkImageReader (Examples)

Tests:
  vtkImageReader (Tests)

Definition at line 58 of file vtkImageReader.h.

## Public Types
typedef vtkImageReader2 | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | ComputeInverseTransformedExtent (int inExtent[6], int outExtent[6])
void | ComputeInverseTransformedIncrements (int inIncr[3], int outIncr[3])
int | OpenAndSeekFile (int extent[6], int slice)
virtual void | SetDataVOI (int, int, int, int, int, int)
virtual void | SetDataVOI (int[6])
virtual int * | GetDataVOI ()
virtual void | GetDataVOI (int &, int &, int &, int &, int &, int &)
virtual void | GetDataVOI (int[6])
virtual unsigned short | GetDataMask ()
void | SetDataMask (int val)
virtual void | SetTransform (vtkTransform *)
virtual vtkTransform * | GetTransform ()
## Static Public Methods
vtkImageReader * | New ()
int | IsTypeOf (const char *type)
vtkImageReader * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageReader ()
| ~vtkImageReader ()
void | ComputeTransformedSpacing (float Spacing[3])
void | ComputeTransformedOrigin (float origin[3])
void | ComputeTransformedExtent (int inExtent[6], int outExtent[6])
void | ComputeTransformedIncrements (int inIncr[3], int outIncr[3])
void | ExecuteInformation ()
void | ExecuteData (vtkDataObject *data)
## Protected Attributes
unsigned short | DataMask
vtkTransform * | Transform
int | DataVOI [6]

## Member Typedef Documentation

typedef vtkImageReader2 vtkImageReader::Superclass

| Reimplemented from vtkImageReader2. Reimplemented in vtkBMPReader, and vtkPNMReader. Definition at line 62 of file vtkImageReader.h.

## Constructor & Destructor Documentation

vtkImageReader::vtkImageReader | ( |  | ) | `[protected]`

vtkImageReader::~vtkImageReader | ( |  | ) | `[protected]`

## Member Function Documentation

vtkImageReader* vtkImageReader::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkImageReader2. Reimplemented in vtkBMPReader, and vtkPNMReader.

virtual const char* vtkImageReader::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageReader2. Reimplemented in vtkBMPReader, and vtkPNMReader.

int vtkImageReader::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageReader2. Reimplemented in vtkBMPReader, and vtkPNMReader.

virtual int vtkImageReader::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageReader2. Reimplemented in vtkBMPReader, and vtkPNMReader.

vtkImageReader* vtkImageReader::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageReader2. Reimplemented in vtkBMPReader, and vtkPNMReader.

void vtkImageReader::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageReader2. Reimplemented in vtkBMPReader, and vtkPNMReader.

virtual void vtkImageReader::SetDataVOI | ( | int | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | int |
| ) | `[virtual]`

| Set/get the data VOI. You can limit the reader to only read a subset of the data.

virtual void vtkImageReader::SetDataVOI | ( | int | [6] | ) | `[virtual]`

| Set/get the data VOI. You can limit the reader to only read a subset of the data.

virtual int* vtkImageReader::GetDataVOI | ( |  | ) | `[virtual]`

| Set/get the data VOI. You can limit the reader to only read a subset of the data.

virtual void vtkImageReader::GetDataVOI | ( | int & | ,
|  | int & | ,
|  | int & | ,
|  | int & | ,
|  | int & | ,
|  | int & |
| ) | `[virtual]`

| Set/get the data VOI. You can limit the reader to only read a subset of the data.

virtual void vtkImageReader::GetDataVOI | ( | int | [6] | ) | `[virtual]`

| Set/get the data VOI. You can limit the reader to only read a subset of the data.

virtual unsigned short vtkImageReader::GetDataMask | ( |  | ) | `[virtual]`

| Set/Get the Data mask.

void vtkImageReader::SetDataMask | ( | int | val | ) | `[inline]`

| Set/Get the Data mask. Definition at line 75 of file vtkImageReader.h. References vtkObject::Modified().

virtual void vtkImageReader::SetTransform | ( | vtkTransform * |  | ) | `[virtual]`

| Set/Get transformation matrix to transform the data from slice space into world space. This matrix must be a permutation matrix. To qualify, the sums of the rows must be + or - 1.

virtual vtkTransform* vtkImageReader::GetTransform | ( |  | ) | `[virtual]`

| Set/Get transformation matrix to transform the data from slice space into world space. This matrix must be a permutation matrix. To qualify, the sums of the rows must be + or - 1.

void vtkImageReader::ComputeInverseTransformedExtent | ( | int | inExtent[6],
|  | int | outExtent[6]
| ) |

void vtkImageReader::ComputeInverseTransformedIncrements | ( | int | inIncr[3],
|  | int | outIncr[3]
| ) |

int vtkImageReader::OpenAndSeekFile | ( | int | extent[6],
|  | int | slice
| ) |

void vtkImageReader::ComputeTransformedSpacing | ( | float | Spacing[3] | ) | `[protected]`

void vtkImageReader::ComputeTransformedOrigin | ( | float | origin[3] | ) | `[protected]`

void vtkImageReader::ComputeTransformedExtent | ( | int | inExtent[6],
|  | int | outExtent[6]
| ) | `[protected]`

void vtkImageReader::ComputeTransformedIncrements | ( | int | inIncr[3],
|  | int | outIncr[3]
| ) | `[protected]`

void vtkImageReader::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkImageReader2. Reimplemented in vtkBMPReader, and vtkPNMReader.

void vtkImageReader::ExecuteData | ( | vtkDataObject * | data | ) | `[protected, virtual]`

| Reimplemented from vtkImageReader2. Reimplemented in vtkBMPReader.

## Member Data Documentation

unsigned short vtkImageReader::DataMask`[protected]`

| Definition at line 100 of file vtkImageReader.h.

vtkTransform* vtkImageReader::Transform`[protected]`

| Definition at line 102 of file vtkImageReader.h.

int vtkImageReader::DataVOI[6]`[protected]`

| Definition at line 111 of file vtkImageReader.h.

The documentation for this class was generated from the following file:

- IO/vtkImageReader.h